restinio::http_field_parsers::range_details::double_ended_range_t< T > Struct Template Reference

Value of range for the case where both ends of the range are defined. More...

`#include <range.hpp>`

## Public Attributes

T | first
T | last

## Detailed Description

template<typename T>
struct restinio::http_field_parsers::range_details::double_ended_range_t< T >

Value of range for the case where both ends of the range are defined.

This type will be used if a range is defined such way:

    bytes=1000-5000,6000-7000

Since
  v.0.6.2

Definition at line 39 of file range.hpp.

## Member Data Documentation

## first

template<typename T >

T restinio::http_field_parsers::range_details::double_ended_range_t< T >::first

Definition at line 41 of file range.hpp.

## last

template<typename T >

T restinio::http_field_parsers::range_details::double_ended_range_t< T >::last

Definition at line 42 of file range.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/range.hpp